set-user-properties
curl --request POST \
--url https://api.notifly.tech/set-user-properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123"
}
'import requests
url = "https://api.notifly.tech/set-user-properties"
payload = {
"projectId": "example_project_1234567890abcdef",
"userId": "user_abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: 'example_project_1234567890abcdef', userId: 'user_abc123'})
};
fetch('https://api.notifly.tech/set-user-properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": 3
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "<string>",
"projectId": null,
"durationMs": null
}이벤트 & 유저
유저 속성 설정
유저 속성을 노티플라이 엔진에 등록하거나 업데이트합니다. 등록된 속성은 세그먼트 분류 및 개인화 메시지에 활용됩니다.
POST
/
set-user-properties
set-user-properties
다중 사용자 업데이트한번에 여러 사용자의 정보를 업데이트할 수도 있습니다. 같은 형식의 Object들을 Array 형태로 호출해주시면 됩니다.
- 최대 업데이트 수: 1회 호출당 최대 1,000명의 사용자까지만 업데이트 가능합니다.
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
본문
application/json
응답
성공적인 속성 업데이트입니다
업데이트된 행 수
⌘I
